#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.detail(komoditas.id)}">&{'detail_komoditas.label'}</a></li>
				<li class="active">&{'tipe_atribut_produk.label'} ${komoditas?.nama_komoditas}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				<a href="@{create(komoditas?.id)}" class="btn btn-primary btn-md">
					<i class="fa fa-plus"></i>
					&{'tambah.label'} &{'tipe_atribut_produk.label'}
				</a>
                <a href="@{admin.KomoditasProdukAtributTipeCtr.createPosition(komoditas_id:komoditas?.id)}" class="btn btn-primary btn-md">
                    <i class="fa fa-plus"></i>
					&{'hirarki_atribut_produk.label'}
                </a>
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblTipeAtributProduk">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_tipe_atribut_produk.label'}</th>
								<th>&{'deskripsi.label'}</th>
								<th>&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

</div>
#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblTipeAtributProduk").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariProdukAtributTipe()}" + "?komoditas_id="+"${komoditas?.id}",
				cache : true
			},
			order : [ [ 1, "asc" ] ],
			columns : [
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
				{"searchable" : true},
				{"searchable" : false},
				{"searchable" : false, "className": "header-center"}
			]
		});

	});
</script>
#{/set}
